@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--Open-Sans);
}

a {
    color: var(--white);
    text-decoration: none;
}

body {
    background: var(--secondary-background-color);
}

.form-container {
    display: grid;
    position: relative;
    isolation: isolate;
}

.form-container::before {
    position: absolute;
    content: "";
    top: 0;
    width: 100%;
    height: 100%;
    grid-column: 1/2;
    background: var(--primary-background-color);
    z-index: 20;
}

.form-container .text-content {
    width: 940px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

.text-content .logo {
    width: 620px;
    height: 600px;
}

.forgot-password-container {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 20px;
    max-width: 375px;
    min-height: 100vh;
    margin-inline: auto;
    z-index: 30;
}

.forgot-password-container .logo-container {
    display: none;
}

.forgot-password-container .forgot-content {
    display: grid;
    text-align: center;
}

.forgot-content .header {
    font-size: 25px;
    font-weight: bold;
    text-align: center;
    margin-bottom: .3rem;
}

.forgot-content .sub-header {
    font-size: 12px;
    font-weight: 500;
    text-align: center;
    margin-bottom: 1.9rem;
}

.input-container {
    position: relative;
    width: 100%;
}

.forgot-content .number-container {
    margin-bottom: 1.1rem;
}

.input-container .label {
    font-size: 13px;
    font-weight: 500;
    text-align: left;
    margin-bottom: 5px;
    color: var(--primary-color);
}

.input-container #indicator {
    color: var(--red-2);
}

.input-container input {
    width: 100%;
    border: none;
    outline: none;
    font-size: 15px;
    padding: 10px 12px;
    padding-right: 40px;
    color: var(--text-color);
    background: var(--primary-background-color);
    border-radius: 2px;
    border: 1px solid var(--border-color-2);
    box-sizing: border-box;
}

.input-container input:focus {
    border: 1px solid var(--primary-color);
}

.input-container #email {
    pointer-events: none;
}

.input-container .bx {
    position: absolute;
    top: 70%;
    right: 12px;
    transform: translateY(-50%);
    cursor: pointer;
    font-size: 22px;
    color: var(--text-color);
}

.forgot-content .forgot-password {
    width: 100%;
    margin: 13px 0 1.5rem 0;
    text-align: left;
}

.forgot-content .login-link {
    width: 100%;
    color: var(--secondary-color);
    font-size: 13px;
    cursor: pointer;
}

.forgot-content .submit-btn {
    width: 100%;
    border: none;
    font-size: 15px;
    padding: 10px 12px;
    color: var(--primary-background-color);
    background: var(--secondary-color);
    border: 1px solid var(--secondary-color);
    border-radius: 2px;
    transition: opacity 0.10s ease;
    cursor: pointer;
}

.forgot-content .submit-btn:hover {
    opacity: 0.9;
}

.forgot-content p {
    font-size: 13px;
    margin-top: 15px;
    color: var(--text-color);
}

.forgot-content p a:hover {
    text-decoration: underline;
}

@media (width > 768px) {

    .form-container {
        grid-template-columns:
        minmax(0, 1fr)
        minmax(0, calc(var(--max-width) / 1))
        minmax(0, calc(var(--max-width) / 2))
        minmax(0, 1fr);
    }

    .form-container::before {
        grid-column: 3/5;
    }

    .forgot-password-container {
        grid-column: 3/5;
    }

}



/*--- ACCOUNT HELP ---*/
.help-popup-outer {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
	background: rgba(0, 0, 0, 0.6);
    opacity: 0;
    pointer-events: none;
	transition: opacity .4s ease;
    z-index: 1000;
}

.help-popup-outer.show {
   opacity: 1;
   pointer-events: auto;
}

.help-popup-outer.show .help-container {
    transform: scale(1);
}

.help-container {
    position: relative;
    max-width: 600px;
    width: 100%;
    margin: 0 15px;
    border-radius: 2px;
    background: var(--primary-background-color);
    box-shadow: 0 0 19px 5px rgba(0, 0, 0, 0.19);
    transform: scale(0);
    transition: transform 0.4s ease-in-out;
}

.help-container header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 18px;
    margin-bottom: .5rem;
    border-bottom: 1px solid var(--tertiary-background-color);
}

.help-container header .title {
    font-size: 18px;
}

.help-container header .bx {
    font-size: 1.6rem;
    margin-right: 0;
}

.help-container .content-container {
    display: block;
    padding: 15px 18px;
    text-align: left;
}

.content-container .sub-header {
    font-size: 12px;
    font-weight: 400;
    margin-bottom: 2rem;
}

.content-container .label {
    font-size: 12.5px;
    font-weight: 400;
    text-align: justify;
    margin-bottom: .7rem;
}

.content-container span {
    font-weight: bold;
}

.help-container .bttns {
    display: block;
    text-align: end;
    margin-top: .5rem;
    padding: 12px 17px;
    border-top: 1px solid var(--tertiary-background-color);
}

.help-container .btn-help-close {
    outline: none;
    border: none;
    font-weight: 400;
    padding: 10px 20px;
    border-radius: 2px;
    color: var(--primary-background-color);
    background: var(--secondary-color);
    transition: opacity .10s ease;
    cursor: pointer;
}

.help-container .btn-help-close:hover {
    opacity: 0.9;
}